KwikTag connector update required for compatibility with Dynamics GP 18.4.

Have a question OR want to learn more?